AurionAI Docs

Presign Portal Attachment

Generate a presigned upload URL for a portal form attachment (Issue #523 Phase 7). Rate limited to 20 req/min per IP. File size and content type are validated against kb_settings. Returns a presigned S3 URL (or a local upload URL in dev).

POST
/api/v1/help-center/attachments/presign

Generate a presigned upload URL for a portal form attachment (Issue #523 Phase 7).

Rate limited to 20 req/min per IP. File size and content type are validated against kb_settings. Returns a presigned S3 URL (or a local upload URL in dev).

Query Parameters

tenant_id?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/help-center/attachments/presign" \  -H "Content-Type: application/json" \  -d '{    "content_type": "string",    "file_size": 1,    "filename": "string"  }'
{
  "attachment_id": "string",
  "expires_in_seconds": 300,
  "upload_url": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}